<?php
/*
 nce (ntch cloud environment.)
 name: nc_query_board_attributes_db.php
 author: Akira Ohta (akohta001.gmail.com)
 date: 2013-dec-26th
 description:
 License: GPLv3
 */
include_once "env.php";
include_once "account.php";
include_once "preference.php";
include_once "database.php";
include_once "log.php";
include_once "http_util.php";
include_once "error_code.php";

$user_id = $_POST['user'];
$token = $_POST['token'];
$board_name = $_POST['board_name'];

if(isset($_POST['last_query']))
	$last_query = $_POST['last_query'];

//--- authorization ---
$user = chk_passwd( $user_id, $token);
if(FALSE === $user){
	echo $ERROR_MSG;
	exit;
}
//--- parameter check start ---
if(!chk_param($board_name)){
	echo ERROR304;
	exit;
}
$extra_filter = " WHERE board_name = '{$board_name}'";

if(isset($last_query)){
	$extra_filter = $extra_filter." AND last_update > '{$last_query}'";

}
//--- parameter check end ---

$table_name = TABLE_PREFIX."tbl{$user->home_dir}";
$query1 = <<< QUERY1
select record_type, res_number, dat_name, last_update from $table_name {$extra_filter}
QUERY1;

try{
	$db->open();
	//echo $query1."\n";
	$result = $db->execute($query1);
	
	if(!$result){
		echo ERROR503;
		exit;
	}
	$db->close();
}catch(Exception $e){
	$error = __FILE__."(".__LINE__.
		") An error occured during query.";
	nc_logging($error, $e);
	echo ERROR500;
	exit;
}

echo SUCCESS100;
echo date("Y-m-d H:i:s");
echo "\n";
for($i = 0; $i < $result->num_rows; $i++){
	$row = $result->fetch_assoc();
	echo $row['dat_name'].",".$row['res_number'].",".$row['record_type'].",".$row['last_update']."\n";
}

?>
